"""Tests of the config module"""
import unittest

from odoo_scripts.config import Configuration


class ConfigTestCase(unittest.TestCase):
    """Tests of the config module"""

    def test_no_conf(self):
        """Test when there is no configuration file"""
        configuration = Configuration("config-no-file/")
        self.assertEqual(configuration.modules, [])

    def test_empty_conf(self):
        """Test when there is no configuration file"""
        configuration = Configuration("config-empty/")
        self.assertEqual(configuration.modules, [])


if __name__ == "__main__":
    unittest.main()
